1. Fiat Account Management
v2.1 (Sandbox)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Initiate Merchant Activation
      • Confirm Merchant Activation
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
          GET
        • Create Fiat Account Request
          POST
        • Submit Additional Information for Fiat Account Request
          POST
        • Get Fiat Account Application Status
          GET
        • Get Bank Accounts
          GET
        • Add Bank Account
          POST
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Confirm Checkout
        • Order Accept
        • Get Checkout History
        • Get Checkout
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Create Crypto Void
        • Create Crypto Risk Refund
        • Create Crypto Refund
        • Close Crypto Refund
        • Get Crypto Refund
        • Get Checkout Refundable Info
        • Refund Status Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
      • Get statement overview
      • Get statement entries
      • Get statement transactions
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
    • Tool
      • Upload File
      • getTnC
      • Validate Crypto Address
  1. Fiat Account Management

Get Bank Accounts

GET
/v2.0/crm/addressBook/bankAccount
API Overview
ItemValue
API StatusStable
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
Applicable User RolesPSP and Direct Client

Description
Get list of bank accounts.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v2.0/crm/addressBook/bankAccount?participantCode=undefined&bankAccountNumber=undefined&offset=undefined&limit=undefined'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "bankAccounts": [
            {
                "bankAccountId": "BA202604150001",
                "participantCode": "B0100106",
                "type": 2,
                "typeOfThirdParty": 1,
                "corporateCountryCode": "US",
                "label": "Business Checking Account",
                "bankAccountNumber": "US12345678901234567890",
                "swiftCode": "CHASUS33",
                "bankName": "JPMorgan Chase Bank",
                "bankAddress": "270 Park Avenue",
                "bankCountry": "US",
                "bankState": "NY",
                "bankCity": "New York",
                "postCode": "10017",
                "routingNumber": "021000021",
                "intermediaryBank": [
                    {
                        "currency": "USD",
                        "swiftCode": "IRVTUS3N",
                        "bankName": "The Bank of New York Mellon",
                        "bankAddress": "225 Liberty Street",
                        "bankCountry": "US"
                    }
                ],
                "relationship": "Parent Company",
                "beneficiaryOfThirdParty": {
                    "name": "Gary Hane",
                    "email": "gary.hane@example.com",
                    "addressInfo": {
                        "country": "US",
                        "state": "Louisiana",
                        "city": "New Orleans",
                        "postCode": "70112",
                        "addressLine1": "123 Canal Street",
                        "addressLine2": "Suite 400"
                    }
                },
                "createdAt": 1776046508000,
                "updatedAt": 1776132908000
            }
        ],
        "pagination": {
            "limit": 20,
            "offset": 0,
            "total": 1,
            "hasMore": false
        }
    }
}
🟢200成功
Modified at 2026-07-23 09:15:20
Previous
Get Fiat Account Application Status
Next
Add Bank Account
Built with